Core - Bug # 22706

Status: Resolved Priority: Should have
Author: Steffen Ritter Category:

Created: 2010-05-24 Assigned To: Steffen Ritter
Updated: 2013-04-08 Due date:

TYPO3 Version: 4.4

PHP Version: 5.1

Complexity:

Is Regression:
Sprint Focus:

Subject: t3lib_iconWorks::getlconimage is not needed anymore

Description

t3lib_iconWorks::getlconlmage is not needed anymore since this functionality is replaced by
t3lib_iconWorks::getSpritelconForRecord...

depreciate it, call depreciation log and return result of new function

(issue imported from #M14467)

Related issues:

related to Core - Bug # 22033: SPRITE ICON API Closed
related to Core - Bug # 17807: nolconProc not needed anymore? Closed
related to Core - Bug # 23043: Not all getlconlmage calls in Core are replace... Closed
related to Core - Bug # 42817: t3lib_iconworks::getlconlmage for pages return... Closed

2010-01-31
2010-06-01
2010-06-29
2012-11-09

Associated revisions

Revision 1b1ddada - 2013-04-08 08:45 - Benjamin Mack

[TASK] Deprecate IconUtility::getlconlmage

IconUtility::getlconimage

is not used anymore in the core, so deprecated this function.

Change-Id: 1c9d33160d0ca802dcdec929400f7919e39c8aec8
Resolves: #22706

Releases: 6.1

Reviewed-on: https:/review.typo3.0rg/12903

Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

History

#1 - 2010-06-13 00:13 - Steffen Kamper

Committed to trunk rev 7901

#2 - 2010-06-14 14:24 - Steffen Kamper
https://review.typo3.org/12903

reopened as there are missing parameters

#3 - 2010-07-10 12:09 - Steffen Ritter

after 14923 there is no core usage anymore ...
therefore at least the deprecation is possible

fallback without parsing parameters might be discussable.

i personally think since we do not loose functionality in core, a "lightway" fallback should be enough

#4 - 2010-09-08 09:17 - Steffen Ritter

postponed to 4.6

#5 - 2011-05-11 14:11 - Xavier Perseguers

- Target version changed from 1081 to 1238

#6 - 2011-06-07 19:22 - Georg Ringer

function is used multiple times in:

- EXT:version/ws/class.wslib_gui.php

- EXT:version/ws/index.php

s0 no chance to deprecate that before changing code somewhere else

#7 - 2011-06-15 09:08 - Oliver Hader

- Target version changed from 1238 to 1281

#8 - 2011-07-12 16:38 - Xavier Perseguers
- Target version changed from 1281 to 4.6.0-betal

#9 - 2011-07-18 23:51 - Tolleiv Nietsch

go ahead files in EXT:version are not in place anymore

#10 - 2011-08-02 18:11 - Xavier Perseguers

- Target version changed from 4.6.0-beta1 to 4.6.0-beta2

#11 - 2011-08-30 15:57 - Xavier Perseguers
- Target version changed from 4.6.0-betaZ2 to 4.7.0

#12 - 2012-03-05 18:00 - Steffen Ritter
- Target version deleted (4.7.0)

#13 - 2012-07-19 11:43 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review
Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12903

#14 - 2012-07-29 13:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12903

#15 - 2013-03-22 18:45 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/12903

#16 - 2013-03-22 18:48 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/12903

#17 - 2013-04-06 23:54 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/12903

#18 - 2013-04-08 02:39 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/12903

#19 - 2013-04-08 09:30 - Benjamin Mack
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:1b1dda4af87ae404de717063f04f07f874e888f7.
